Summary:   Picture viewer
Name:      xzgv
Version:   0.9.1
Release:   1
License:   GPLv2+
Group:     Applications/Multimedia
URL:       http://sourceforge.net/projects/xzgv/
Source0:   http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch1:    %{name}-0.9-fix-doc-install.patch
Patch2:    %{name}-0.9-thumbnail-load-gcc4.patch
Patch3:    %{name}-0.9-fix-thumbnail-generation.patch
Patch4:    %{name}-0.9.1-dso.patch
Patch10:   %{name}-%{version}-aix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: glib2-devel >= 2.8.1-3
BuildRequires: gtk2-devel >= 2.8.3-9
BuildRequires: libpng-devel >= 1.2.44-1
BuildRequires: coreutils
BuildRequires: patch

Requires: /sbin/install-info, info
Requires: glib2 >= 2.8.1-3
Requires: gtk2 >= 2.8.3-9
Requires: libpng >= 1.2.44-1

%description 
A picture viewer with a thumbnail-based file selector.  Many file
formats are supported, and the thumbnails used are compatible with xv,
zgv and the Gimp.


%prep
%setup -q
export PATH=/opt/freeware/bin:$PATH
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch10


%build
make %{?_smp_flags}
make info


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
export PATH=/opt/freeware/bin:$PATH

make install PREFIX=${RPM_BUILD_ROOT}%{_prefix} \
             MANDIR=${RPM_BUILD_ROOT}%{_mandir}/man1 \
             INFODIR=${RPM_BUILD_ROOT}%{_infodir}

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

install -d -m 0755 ${RPM_BUILD_ROOT}%{_datadir}/icons/hicolor/48x48/apps
install -p -m 0644 src/icon-48.xpm \
    ${RPM_BUILD_ROOT}%{_datadir}/icons/hicolor/48x48/apps/%{name}.xpm

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%post
/sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir || :
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
    %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%postun
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
    %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%preun
if [ "$1" = "0" ]; then
   /sbin/install-info --delete %{_infodir}/%{name}.info.gz %{_infodir}/dir || :
fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr (-,root,system,-)
%doc AUTHORS COPYING NEWS README TODO ChangeLog
%{_bindir}/*
%{_mandir}/man1/*
%{_infodir}/%{name}*
%{_datadir}/icons/hicolor/48x48/apps/%{name}.xpm
/usr/bin/*


%changelog
* Tue Apr 26 2011 Michael Perzl <michael@perzl.org> - 0.9.1-1
- first version for AIX V5.1 and higher
